質問 errorの内容解析お願いします。

11月 9, 2018
18
3
3
#1
[09:00:13] [Server thread/CRITICAL]: ErrorException: "yaml_parse(): parsing error encountered during parsing: did not find expected key (line 39, column 43), context while parsing a block mapping (line 2, column 1)" (EXCEPTION) in "src/pocketmine/utils/Config" at line 181
[09:00:13] [Server thread/DEBUG]: #0 (): pocketmine\utils\Utils::errorExceptionHandler(integer 2, string[160] yaml_parse(): parsing error encountered during parsing: did not find expected ke, string[66] phar:///home/container/Server.phar/src/pocketmine/utils/Config.php, integer 181, array[4])
[09:00:13] [Server thread/DEBUG]: #1 src/pocketmine/utils/Config(181): yaml_parse(string[3099] ---.language: jp.commands:. mymoney:. usage: /mymoney. description: ..b..)
[09:00:13] [Server thread/DEBUG]: #2 src/pocketmine/utils/Config(113): pocketmine\utils\Config->load(string[51] /home/container/plugin_data/EconomyAPI/messages.yml, integer 2, array[28])
[09:00:13] [Server thread/DEBUG]: #3 plugins/EconomyAPI_v2.0.9_mirm3.phar/src/onebone/economyapi/EconomyAPI(416): pocketmine\utils\Config->__construct(string[51] /home/container/plugin_data/EconomyAPI/messages.yml, integer 2, array[28])
[09:00:13] [Server thread/DEBUG]: #4 plugins/EconomyAPI_v2.0.9_mirm3.phar/src/onebone/economyapi/EconomyAPI(377): onebone\economyapi\EconomyAPI->initializeLanguage()
[09:00:13] [Server thread/DEBUG]: #5 plugins/EconomyAPI_v2.0.9_mirm3.phar/src/onebone/economyapi/EconomyAPI(303): onebone\economyapi\EconomyAPI->initialize()
[09:00:13] [Server thread/DEBUG]: #6 src/pocketmine/plugin/PluginBase(123): onebone\economyapi\EconomyAPI->onEnable()
[09:00:13] [Server thread/DEBUG]: #7 src/pocketmine/plugin/PluginManager(588): pocketmine\plugin\PluginBase->setEnabled(boolean 1)
[09:00:13] [Server thread/DEBUG]: #8 src/pocketmine/Server(2002): pocketmine\plugin\PluginManager->enablePlugin(object onebone\economyapi\EconomyAPI)
[09:00:13] [Server thread/DEBUG]: #9 src/pocketmine/Server(1988): pocketmine\Server->enablePlugin(object onebone\economyapi\EconomyAPI)
[09:00:13] [Server thread/DEBUG]: #10 src/pocketmine/Server(1782): pocketmine\Server->enablePlugins(integer 1)
[09:00:13] [Server thread/DEBUG]: #11 src/pocketmine/PocketMine(274): pocketmine\Server->__construct(object BaseClassLoader, object pocketmine\utils\MainLogger, string[16] /home/container/, string[24] /home/container/plugins/)
[09:00:13] [Server thread/DEBUG]: #12 (1): require(string[64] phar:///home/container/Server.phar/src/pocketmine/PocketMine.php)
 
1月 26, 2018
10
4
3
#4
Ryuu様もおっしゃっていますように、configの破損ですね...
/home/container/plugin_data/EconomyAPI/messages.yml
というconfigが破損しているようです。(破損箇所はおそらく39行目または2行目付近、またはその両方だと思われます。)
 
最後の編集:
いいね数: Ryuu
1月 26, 2018
10
4
3
#6
編集しても問題ないと思います。
非常に申し訳ないのですが、現時点ではmessages.ymlの中身に関しては私には分からないため、間違っている箇所を詳細に特定することはできません...

もしよろしければ、/home/container/plugin_data/EconomyAPI/messages.yml をアップロードしていただけないでしょうか...?

よくある間違い
「:」つけ忘れ...
「'」つけ忘れ...
↓正常な物です...
```
[34] player-never-connected: Player %1 was never connected.
[35] topmoney-tag: '- Showing top money list (%1 of %2) -'
[36] topmoney-format: '[%1] %2: %3'
[37] pay-failed: Failed to pay.
[38] pay-success: Paid %MONETARY_UNIT%%1 to %2.
[39] money-paid: '%1 gave you %MONETARY_UNIT%%2.'
[40] takemoney-must-be-number: Amount must be numeric
[41] takemoney-invalid-number: Invalid number
[42] takemoney-player-lack-of-money: '%1 does not have enough %MONETARY_UNIT%%2. %1''s
[43] money : %MONETARY_UNIT%%3'
```
 
1月 26, 2018
10
4
3
#8
4日間も返信出来ずに申し訳ないです...
了解です。
lobiの名前に関しましては、
[12345A]だいすけだいすけ
にてございます...

アイコンに関しましては、現在このサイトにて指定しているアイコンと同じです。